osl::effect::AddMaskAction< Liberty, P, T > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::effect::AddMaskAction< Liberty, P, T > Class Template Reference

Liberty8で使われるHelper. More...

`#include <liberty8.h>`

Collaboration diagram for osl::effect::AddMaskAction< Liberty, P, T >:
[legend]

## Public Member Functions
| AddMaskAction (Liberty &l, NumEffectState const &s, Square t, NearMask n)
void | operator() (Piece p)

## Private Attributes
Liberty & | liberty
NumEffectState const & | state
const Square | target
const NearMask | nearMask

## Detailed Description

### template<typename Liberty, Player P, Ptype T>
class osl::effect::AddMaskAction< Liberty, P, T >

Liberty8で使われるHelper.

Pは defense側

Definition at line 22 of file liberty8.h.

## Constructor & Destructor Documentation

template<typename Liberty , Player P, Ptype T>

osl::effect::AddMaskAction< Liberty, P, T >::AddMaskAction | ( | Liberty & | l,
|  | NumEffectState const & | s,
|  | Square | t,
|  | NearMask | n
| ) |  |
| inline

Definition at line 28 of file liberty8.h.

## Member Function Documentation

template<typename Liberty , Player P, Ptype T>

void osl::effect::AddMaskAction< Liberty, P, T >::operator() | ( | Piece | p) |  |
| inline

Definition at line 32 of file liberty8.h.

References osl::BISHOP, osl::Board_Table, osl::dirToMask(), osl::BoardTable::getLongDirection(), osl::effect::LongEffect8::getMask(), osl::PtypeTable::getMoveMask(), osl::effect::LongEffect8::getOffset(), osl::BoardTable::getOffset(), osl::Square::isOnBoard(), osl::Piece::isPromotedNotKingGold(), osl::LANCE, osl::effect::AddMaskAction< Liberty, P, T >::liberty, osl::effect::Liberty8_Table, osl::longToShort(), osl::effect::AddMaskAction< Liberty, P, T >::nearMask, osl::Piece::ptype(), osl::Ptype_Table, osl::ROOK, osl::Piece::square(), osl::effect::AddMaskAction< Liberty, P, T >::state, and osl::effect::AddMaskAction< Liberty, P, T >::target.

## Member Data Documentation

template<typename Liberty , Player P, Ptype T>

Liberty& osl::effect::AddMaskAction< Liberty, P, T >::liberty
| private

Definition at line 23 of file liberty8.h.

Referenced by osl::effect::AddMaskAction< Liberty, P, T >::operator()().

template<typename Liberty , Player P, Ptype T>

const NearMask osl::effect::AddMaskAction< Liberty, P, T >::nearMask
| private

Definition at line 26 of file liberty8.h.

Referenced by osl::effect::AddMaskAction< Liberty, P, T >::operator()().

template<typename Liberty , Player P, Ptype T>

NumEffectState const& osl::effect::AddMaskAction< Liberty, P, T >::state
| private

Definition at line 24 of file liberty8.h.

Referenced by osl::effect::AddMaskAction< Liberty, P, T >::operator()().

template<typename Liberty , Player P, Ptype T>

const Square osl::effect::AddMaskAction< Liberty, P, T >::target
| private

Definition at line 25 of file liberty8.h.

Referenced by osl::effect::AddMaskAction< Liberty, P, T >::operator()().

The documentation for this class was generated from the following file:

- liberty8.h